VERSION 5.00
Object = "{F5BE8BC2-7DE6-11D0-91FE-00C04FD701A5}#1.5#0"; "AGENTCTL.DLL"
Begin VB.Form Form1 
   Caption         =   "Agent Demo Program"
   ClientHeight    =   990
   ClientLeft      =   3690
   ClientTop       =   2580
   ClientWidth     =   3285
   LinkTopic       =   "Form1"
   ScaleHeight     =   990
   ScaleWidth      =   3285
   Begin VB.CommandButton Command1 
      Caption         =   "Cancel"
      Height          =   495
      Left            =   600
      TabIndex        =   0
      Top             =   240
      Width           =   2055
   End
   Begin AgentObjectsCtl.Agent Agent1 
      Left            =   2760
      Top             =   240
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Const AgentPath = "c:\Program Files\Microsoft Agent\Characters\"

Dim MyAgent As IAgentCtlCharacter
Dim MyRequest As IAgentCtlRequest

Private Sub Agent1_Command(ByVal UserInput As Object)

Select Case LCase(UserInput.Name)
 
Case "bye bye"
   MyAgent.Speak "Bye bye"
   MyAgent.Play "Wave"
   Set MyRequest = MyAgent.Hide
   
Case "down"
   MyAgent.GestureAt MyAgent.Left, Screen.Height / Screen.TwipsPerPixelY
   MyAgent.Speak "All fall down."
   
Case "happy"
   MyAgent.Play "Pleased"
   MyAgent.Speak "I'm happy."

Case "hello"
   MyAgent.Speak "Hello Merlin."
   MyAgent.Play "DoMagic1"
   MyAgent.Speak "Abracadabra, hocus pocus."
   MyAgent.Play "DoMagic2"
   MyAgent.Speak "Visual Basic now can \Map=""spoke ith""=""spoketh""\."
      
Case "left"
   MyAgent.GestureAt 0, MyAgent.Height
   MyAgent.Speak "Left is that away."
   
Case "move"
   MyAgent.MoveTo Screen.Width / Screen.TwipsPerPixelX * Rnd, _
                  Screen.Height / Screen.TwipsPerPixelY * Rnd
   MyAgent.Speak "I like flying."
   
Case "right"
   MyAgent.GestureAt Screen.Width / Screen.TwipsPerPixelX, MyAgent.Height
   MyAgent.Speak "Keep to the right."

Case "sad"
   MyAgent.Play "Sad"
   MyAgent.Speak "I'm sad."

Case "up"
   MyAgent.GestureAt MyAgent.Left, 0
   MyAgent.Speak "The sky is falling."

Case Else
   MyAgent.Speak "I didn't understand you."
   MyAgent.Play "Confused"

End Select

End Sub

Private Sub Agent1_RequestComplete(ByVal Request As Object)

Unload Me

End Sub

Private Sub Command1_Click()

MyAgent.StopAll

End Sub

Private Sub Form_Load()

Agent1.Characters.Load "Merlin", AgentPath & "MerlinSfx.acs"
Set MyAgent = Agent1.Characters("Merlin")
MyAgent.Show

MyAgent.Commands.Caption = "MyAgent Commands"
MyAgent.Commands.Visible = True
MyAgent.Commands.Voice = "MyAgent Commands"
MyAgent.Commands.Add "Bye bye", "Bye bye", "... bye bye ...", True, True
MyAgent.Commands.Add "Down", "Down", "... down ...", True, True
MyAgent.Commands.Add "Happy", "Happy", "... happy ...", True, True
MyAgent.Commands.Add "Hello", "Hello", "Hello Merlin", True, True
MyAgent.Commands.Add "Left", "Left", "... left ...", True, True
MyAgent.Commands.Add "Move", "Move", "... move ...", True, True
MyAgent.Commands.Add "Right", "Right", "... right ...", True, True
MyAgent.Commands.Add "Sad", "Sad", "... sad ...", True, True
MyAgent.Commands.Add "Up", "Up", "... up ...", True, True

End Sub

