VERSION 5.00
Object = "{FE0065C0-1B7B-11CF-9D53-00AA003C9CB6}#2.0#0"; "MSCOMCT2.OCX"
Begin VB.Form Form1 
   Caption         =   "Date Control Demo Program"
   ClientHeight    =   4365
   ClientLeft      =   1635
   ClientTop       =   1560
   ClientWidth     =   7125
   LinkTopic       =   "Form1"
   ScaleHeight     =   4365
   ScaleWidth      =   7125
   Begin ComCtl2.DTPicker DTPicker3 
      Height          =   375
      Left            =   3840
      TabIndex        =   4
      Top             =   2880
      Width           =   3015
      _ExtentX        =   5318
      _ExtentY        =   661
      _Version        =   393216
      CustomFormat    =   "dd-MMM-yyyy HH:mm:ss"
      Format          =   24510467
      UpDown          =   -1  'True
      CurrentDate     =   36000
   End
   Begin VB.TextBox Text1 
      Height          =   1335
      Left            =   240
      MultiLine       =   -1  'True
      TabIndex        =   2
      Top             =   120
      Width           =   6735
   End
   Begin ComCtl2.DTPicker DTPicker1 
      Height          =   375
      Left            =   3840
      TabIndex        =   1
      Top             =   2280
      Width           =   3015
      _ExtentX        =   5318
      _ExtentY        =   661
      _Version        =   393216
      CheckBox        =   -1  'True
      CustomFormat    =   "dd-MMM-yyyy HH:mm (XX)"
      Format          =   24510467
      UpDown          =   -1  'True
      CurrentDate     =   35941
   End
   Begin ComCtl2.MonthView MonthView1 
      Height          =   2370
      Left            =   360
      TabIndex        =   0
      Top             =   1680
      Width           =   3075
      _ExtentX        =   5424
      _ExtentY        =   4180
      _Version        =   393216
      ForeColor       =   -2147483630
      BackColor       =   -2147483633
      Appearance      =   1
      MultiSelect     =   -1  'True
      ShowWeekNumbers =   -1  'True
      StartOfWeek     =   24510465
      CurrentDate     =   35941
   End
   Begin ComCtl2.DTPicker DTPicker2 
      Height          =   375
      Left            =   3840
      TabIndex        =   3
      Top             =   1680
      Width           =   3015
      _ExtentX        =   5318
      _ExtentY        =   661
      _Version        =   393216
      CustomFormat    =   "dd-MMM-yyyy HH:mm:ss"
      Format          =   24510467
      CurrentDate     =   35954.9131944444
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub DTPicker1_Format(ByVal CallbackField As String, FormattedString As String)

If CallbackField = "XX" Then
   Select Case Format(DTPicker1.Value, "q")
   Case "1"
      FormattedString = "1st Q"
   Case "2"
      FormattedString = "2nd Q"
   Case "3"
      FormattedString = "3rd Q"
   Case "4"
      FormattedString = "4th Q"
   End Select
   
End If

End Sub

Private Sub DTPicker1_FormatSize(ByVal CallbackField As String, Size As Integer)

If CallbackField = "XX" Then
   Size = 5
End If

End Sub

Private Sub Form_Load()

DTPicker1.Value = Now
DTPicker2.Value = DTPicker1.Value
DTPicker3.Value = DTPicker1.Value

End Sub

Private Sub MonthView1_DateClick(ByVal DateClicked As Date)

Text1.Text = "MonthView: DateClick event" & vbCrLf
Text1.Text = Text1.Text & "Date clicked: "
Text1.Text = Text1.Text & FormatDateTime(DateClicked, vbLongDate)
Text1.Text = Text1.Text & vbCrLf & "Date range: "
Text1.Text = Text1.Text & FormatDateTime(MonthView1.SelStart, vbLongDate)
Text1.Text = Text1.Text & " to " & FormatDateTime(MonthView1.SelEnd, vbLongDate)

End Sub

Private Sub MonthView1_DateDblClick(ByVal DateDblClicked As Date)

Text1.Text = "MonthView: DateDblClick event" & vbCrLf
Text1.Text = Text1.Text & "Date double clicked: "
Text1.Text = Text1.Text & FormatDateTime(DateDblClicked, vbLongDate)

End Sub

Private Sub MonthView1_GetDayBold(ByVal StartDate As Date, ByVal Count As Integer, State() As Boolean)

Dim i As Integer

For i = 0 To Count Step 7
   State(i) = True
Next i

For i = 6 To Count Step 7
   State(i) = True
Next i

End Sub

Private Sub MonthView1_SelChange(ByVal StartDate As Date, ByVal EndDate As Date, Cancel As Boolean)

Text1.Text = "MonthView: SelChange event" & vbCrLf & "Date range: "
Text1.Text = Text1.Text & FormatDateTime(StartDate, vbLongDate)
Text1.Text = Text1.Text & " to " & FormatDateTime(EndDate, vbLongDate)

End Sub

