VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Excel Demo Program"
   ClientHeight    =   6030
   ClientLeft      =   3255
   ClientTop       =   1560
   ClientWidth     =   8820
   LinkTopic       =   "Form1"
   ScaleHeight     =   6030
   ScaleWidth      =   8820
   Begin VB.CheckBox Check9 
      Height          =   375
      Left            =   2160
      TabIndex        =   18
      Top             =   4920
      Width           =   255
   End
   Begin VB.CommandButton Command6 
      Caption         =   "Copy Chart"
      Height          =   375
      Left            =   120
      TabIndex        =   17
      Top             =   3120
      Width           =   1935
   End
   Begin VB.CommandButton Command10 
      Caption         =   "Exit Excel Demo"
      Height          =   375
      Left            =   120
      TabIndex        =   16
      Top             =   5520
      Width           =   1935
   End
   Begin VB.CheckBox Check8 
      Height          =   375
      Left            =   2160
      TabIndex        =   15
      Top             =   4320
      Width           =   255
   End
   Begin VB.CheckBox Check7 
      Height          =   375
      Left            =   2160
      TabIndex        =   14
      Top             =   3720
      Width           =   255
   End
   Begin VB.CheckBox Check6 
      Height          =   375
      Left            =   2160
      TabIndex        =   13
      Top             =   3120
      Width           =   255
   End
   Begin VB.CheckBox Check5 
      Height          =   375
      Left            =   2160
      TabIndex        =   12
      Top             =   2520
      Width           =   255
   End
   Begin VB.CheckBox Check4 
      Height          =   375
      Left            =   2160
      TabIndex        =   11
      Top             =   1920
      Width           =   255
   End
   Begin VB.CheckBox Check3 
      Height          =   375
      Left            =   2160
      TabIndex        =   10
      Top             =   1320
      Width           =   255
   End
   Begin VB.CheckBox Check2 
      Height          =   375
      Left            =   2160
      TabIndex        =   9
      Top             =   720
      Width           =   255
   End
   Begin VB.CheckBox Check1 
      Height          =   375
      Left            =   2160
      TabIndex        =   8
      Top             =   120
      Width           =   255
   End
   Begin VB.CommandButton Command9 
      Caption         =   "Quit Excel"
      Height          =   375
      Left            =   120
      TabIndex        =   7
      Top             =   4920
      Width           =   1935
   End
   Begin VB.CommandButton Command8 
      Caption         =   "Close Workbook"
      Height          =   375
      Left            =   120
      TabIndex        =   6
      Top             =   4320
      Width           =   1935
   End
   Begin VB.CommandButton Command7 
      Caption         =   "Save Workbook"
      Height          =   375
      Left            =   120
      TabIndex        =   5
      Top             =   3720
      Width           =   1935
   End
   Begin VB.CommandButton Command5 
      Caption         =   "Create Chart"
      Height          =   375
      Left            =   120
      TabIndex        =   4
      Top             =   2520
      Width           =   1935
   End
   Begin VB.CommandButton Command4 
      Caption         =   "Format the Cells"
      Height          =   375
      Left            =   120
      TabIndex        =   3
      Top             =   1920
      Width           =   1935
   End
   Begin VB.CommandButton Command3 
      Caption         =   "Populate a Sheet"
      Height          =   375
      Left            =   120
      TabIndex        =   2
      Top             =   1320
      Width           =   1935
   End
   Begin VB.CommandButton Command2 
      Caption         =   "Add a Workbook"
      Height          =   375
      Left            =   120
      TabIndex        =   1
      Top             =   720
      Width           =   1935
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Run Excel"
      Height          =   375
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   1935
   End
   Begin VB.Image Image1 
      BorderStyle     =   1  'Fixed Single
      Height          =   5775
      Left            =   2640
      Stretch         =   -1  'True
      Top             =   120
      Width           =   6015
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Dim ExcelApp As Excel.Application
Dim ExcelCht As Excel.Chart
Dim ExcelSht As Excel.Worksheet
Dim ExcelWkb As Excel.Workbook
Dim MyExcel As Boolean

Private Sub Command1_Click()

On Error Resume Next

Err.Clear

Set ExcelApp = GetObject(, "Excel.Application")
If Err.Number <> 0 Then
   Err.Clear
   Set ExcelApp = CreateObject("Excel.Application")
   If Err.Number <> 0 Then
      MsgBox "Error: " & Err.Description
   Else
      MyExcel = True
      
   End If
   
Else
   MyExcel = False

End If

ExcelApp.Visible = True

Check1.Value = vbChecked
Command2.SetFocus

End Sub

Private Sub Command10_Click()

Unload Me

End Sub

Private Sub Command2_Click()

Set ExcelWkb = ExcelApp.Workbooks.Add
Set ExcelSht = ExcelWkb.Worksheets(1)

Check2.Value = vbChecked
Command3.SetFocus

End Sub

Private Sub Command3_Click()

Dim i As Integer
Dim j As Integer

For i = 1 To 4
   For j = 1 To 10
      ExcelSht.Cells(j, i) = Rnd() * 100
   Next j
Next i

Check3.Value = vbChecked
Command4.SetFocus

End Sub

Private Sub Command4_Click()

ExcelSht.Range("A1:D10").NumberFormat = "0.00"

Check4.Value = vbChecked
Command5.SetFocus

End Sub

Private Sub Command5_Click()

Set ExcelCht = ExcelWkb.Charts.Add
ExcelCht.ChartType = xlLineMarkers
ExcelCht.SetSourceData ExcelSht.Range("A1:D10"), xlColumns
ExcelCht.HasTitle = True
ExcelCht.ChartTitle.Characters.Text = "My Data"
ExcelCht.Axes(xlCategory, xlPrimary).HasTitle = True
ExcelCht.Axes(xlCategory, xlPrimary).AxisTitle.Characters.Text = "X-Axis"
ExcelCht.Axes(xlValue, xlPrimary).HasTitle = True
ExcelCht.Axes(xlValue, xlPrimary).AxisTitle.Characters.Text = "Data Series"

Check5.Value = vbChecked
Command6.SetFocus

End Sub

Private Sub Command6_Click()

ExcelCht.ChartArea.Select
ExcelCht.ChartArea.Copy

Image1.Picture = Clipboard.GetData(vbCFBitmap)

Check6.Value = vbChecked
Command7.SetFocus

End Sub

Private Sub Command7_Click()

If Len(Dir(App.Path & "\test.xls")) <> 0 Then
   Kill App.Path & "\test.xls"
End If

ExcelWkb.SaveAs App.Path & "\test.xls"

Check7.Value = vbChecked
Command8.SetFocus

End Sub

Private Sub Command8_Click()

ExcelWkb.Close False

Check8.Value = vbChecked
Command9.SetFocus

End Sub

Private Sub Command9_Click()

If MyExcel Then
   ExcelApp.Quit
End If

Check9.Value = vbChecked
Command10.SetFocus

End Sub

Private Sub Form_Load()

Randomize

End Sub

