VERSION 5.00
Begin VB.Form Pic 
   BackColor       =   &H00000000&
   ClientHeight    =   7935
   ClientLeft      =   1650
   ClientTop       =   1545
   ClientWidth     =   10125
   ControlBox      =   0   'False
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   7935
   ScaleWidth      =   10125
   WindowState     =   2  'Maximized
End
Attribute VB_Name = "Pic"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Dim AngleStep As Single
Dim ColorIncrement As Long
Dim Delta As Single
Dim Radius As Single
Dim RadiusDecrement As Single
Dim TimeDelay As Long

Dim CenterX As Long
Dim CenterY As Long
Dim Color As Long
Dim State As Integer
Dim Theta As Single

Private Sub DrawArc()

Static OldX As Single
Static oldY As Single

Dim NewX As Single
Dim NewY As Single

Dim r As Integer
Dim g As Integer
Dim b As Integer

NewX = CenterX + Sin(Theta) * Radius
NewY = CenterY + Cos(Theta) * Radius

ColorToRGB r, g, b, Color

Pic.Line (OldX, oldY)-(NewX, NewY), RGB(r, g, b)
Pic.DrawMode = vbCopyPen

OldX = NewX
oldY = NewY

Theta = Theta + AngleStep
Radius = Radius - RadiusDecrement
Color = (Color + ColorIncrement) Mod 1535
DoEvents
Sleep TimeDelay

End Sub

Public Sub DrawStarSx()

Color = CInt(GetSetting("StarSX", "Pic", "Color", "1"))
TimeDelay = CLng(GetSetting("StarSX", "Pic", "TimeDelay", "50"))
AngleStep = CSng(GetSetting("StarSX", "Pic", "AngleStep", "3.00"))
ColorIncrement = CLng(GetSetting("StarSX", "Pic", "ColorIncrement", "2"))
Delta = CSng(GetSetting("StarSX", "Pic", "Delta", "10"))
RadiusDecrement = CSng(GetSetting("StarSX", "Pic", "RadiusDecrement", "10"))

Pic.DrawMode = vbNop
CenterX = Me.Width / 2
CenterY = Me.Height / 2
Radius = 0.95 * IIf(CenterX < CenterY, CenterX, CenterY)
Theta = 0

Do While Radius > Delta
  DrawArc
Loop

End Sub

Private Sub Form_KeyDown(KeyCode As Integer, Shift As Integer)

Unload Me

End Sub

Private Sub Form_Load()

Me.Show

Do While True
   Me.Cls
   DrawStarSx

Loop

End Sub

Private Sub Form_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
 
Unload Me
 
End Sub

Private Sub Form_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)

Static count As Integer

If count > 2 Then
   Unload Me
   
Else
   count = count + 1
   
End If

End Sub

Private Sub Form_Unload(Cancel As Integer)

End

End Sub
